API

Retrieve a list of invoices

GET/api/crm/v2/invoicesv2
operationId: invoices.default

Authorization

api-token + language + role

Query parameters

page_numberinteger

Example: 1

date_creation_fromstring

Example: 25/04/2024

date_creation_tostring

Example: 26/04/2024

statusstring

Values:annullednot_paidpaid

invoice_numberinteger

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject
filtersobject
date_creation_fromobject (FilterDateFrom)
valuestringcan be null

Example: 2026-08-01 00:00:00

typestringrequired

Example: date

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

date_creation_toobject (FilterDateTo)
valuestringcan be null

Example: 2026-08-31 23:59:59

typestringrequired

Example: date

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

statusobject (FilterEnum)

Filter enumeration — a flat list of enumeration values

valuestring

Example: example

typestringrequired

Example: select

optionarray of string
modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

invoice_numberobject (FilterId)
valueany

Example: 0

typestringrequired

Example: integer

placeholderstring

Example: integer

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

listarray of object
idintegerrequired

Example: 1

statusstringrequired

Values:paidnot_paidannulled

Example: paid

invoice_numberintegerrequired

Example: 583200011

amount_due_foreignnumberrequired

Example: 10000

date_creationstring (DataTimeFormatSQL) required

Example: 2024-05-02 08:31:16

date_paymentstring (DataTimeFormatSQL)

Example: 2024-05-02 08:31:16

currency_code_foreignstring (CurrencyCode)

Currency code

Values:AMDAZNBYNCZKEURGELIDRKZTKGSMDLPLNPRBRONTJSTRYUAHRUBUSDUZS

Example: RUB

namestring

Example: Green Basket (LLC Green Basket, 1235416253, Green Basket | IikoTransportFS, Khabarovsk)

timezonestringrequired

Example: Europe/Moscow

cao_emailstring

Example: examople@example.com

cao_phone_format_idinteger

Example: 1

cao_phone_numberstring

Example: 9999999999

entity_name_shortstringrequired

Example: LLC Green Basket

invoice_urlstring

Example: https://ru.example.example/invoice/show/cf5371b7-ec6e-110b-110b-d59fce2e11af

paginationobject (Pagination)
max_countintegerrequired

Number of items per page

Example: 30

page_numberintegerrequired

Current page number; limited so that the offset does not exceed 1000

Example: 1

has_nextbooleanrequired

Is there a next page

Example: true

has_previousbooleanrequired

Is there a previous page

Example: false